
From: Andrew Morton <akpm@osdl.org>

arch/i386/kernel/irq.c: In function `do_IRQ':
arch/i386/kernel/irq.c:59: warning: unused variable `count'

This function is a mess.

Cc: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/irq.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/kernel/irq.c~debug-preempt-tracing-fix-2 arch/i386/kernel/irq.c
--- devel/arch/i386/kernel/irq.c~debug-preempt-tracing-fix-2	2005-08-06 15:50:41.000000000 -0700
+++ devel-akpm/arch/i386/kernel/irq.c	2005-08-06 15:50:41.000000000 -0700
@@ -55,10 +55,10 @@ fastcall unsigned int do_IRQ(struct pt_r
 {	
 	/* high bits used in ret_from_ code */
 	int irq = regs->orig_eax & 0xff;
+#ifdef CONFIG_4KSTACKS
 #ifdef CONFIG_DEBUG_PREEMPT
 	u32 count = preempt_count() & PREEMPT_MASK;
 #endif
-#ifdef CONFIG_4KSTACKS
 	union irq_ctx *curctx, *irqctx;
 	u32 *isp;
 #endif
_
